## go-pattern-selector go-pattern-selector |

## Functions

GtkWidget * | go_pattern_selector_new ()
void | go_pattern_selector_set_colors ()

## Description

## Functions

### go_pattern_selector_new ()

    GtkWidget *
    go_pattern_selector_new (GOPatternType initial_type,
                             GOPatternType default_type);

Creates a new pattern selector.

#### Parameters

initial_type | pattern type initially selected |
default_type | automatic pattern type |

#### Returns

a new GtkWidget.

[transfer full]

### go_pattern_selector_set_colors ()

    void
    go_pattern_selector_set_colors (GOSelector *selector,
                                    GOColor foreground,
                                    GOColor background);

Updates swatch colors of `selector` .

#### Parameters

selector | a pattern GOSelector |
foreground | foreground color |
background | background color |